#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
long long n,arr[100001],result=0,sum=0,br=1,br1=0;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>arr[i];
    }
    sort(arr,arr+n);

    for(int i=0; i<n; i++)
    {
        if(arr[i]!=arr[i+1]) sum+=arr[i];
    }
    cout<<sum<<endl;
    return 0;
}

